# @axway/api-builder-dc-sql-core

Axway shared component for SQL dataconnectors.

## Author

Axway <support@axway.com> https://axway.com

## License

This code is proprietary, closed source software licensed to you by Axway. All Rights Reserved. You may not modify Axway’s code without express written permission of Axway. You are licensed to use and distribute your services developed with the use of this software and dependencies, including distributing reasonable and appropriate portions of the Axway code and dependencies. Except as set forth above, this code MUST not be copied or otherwise redistributed without express written permission of Axway. This module is licensed as part of the Axway Platform and governed under the terms of the Axway license agreement (General Conditions) located here: [https://support.axway.com/en/auth/general-conditions](https://support.axway.com/en/auth/general-conditions); EXCEPT THAT IF YOU RECEIVED A FREE SUBSCRIPTION, LICENSE, OR SUPPORT SUBSCRIPTION FOR THIS CODE, NOTWITHSTANDING THE LANGUAGE OF THE GENERAL CONDITIONS, AXWAY HEREBY DISCLAIMS ALL SUPPORT AND MAINTENANCE OBLIGATIONS, AS WELL AS ALL EXPRESS AND IMPLIED WARRANTIES, INCLUDING BUT NOT LIMITED TO IMPLIED INFRINGEMENT WARRANTIES, WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE, AND YOU ACCEPT THE PRODUCT AS-IS AND WITH ALL FAULTS, SOLELY AT YOUR OWN RISK. Your right to use this software is strictly limited to the term (if any) of the license or subscription originally granted to you.

## Changes

#### 3.0.0
- #6089: Breaking change: requires minimum Node.js version 16.x.

#### 2.3.2
- #7412: Pin in-house dependencies.

#### 2.3.1
- #7408: Internal bump.

#### 2.3.0
- #7371: Added support for tables with metadata.schema and metadata.table name.

#### 2.2.0
- #6933: Added `engines.apibuilder` to document the required API Builder version range.

#### 2.1.0
- #7084: Removed `peerDependencies` from package.json as it is unnecessary.
- #7084: Fixed issue querying records with falsy values, (e.g. `{ value: 0 }`).
- #7084: Fixed issue querying records expecting values to be equal to `null` (e.g. `{ value: null }`).
- #7084: Fixed issue querying records expecting values to be not equal to `null` (e.g. `{ value: $ne: { null } }`).

#### 2.0.1
- #6934: Internal refactoring around code style.

#### 2.0.0
- #6837: Breaking change: requires minimum Node.js version 12.x.
- #6837: Upgraded [knex](https://www.npmjs.com/package/knex) to 0.95.x, see [changelog](https://github.com/knex/knex/blob/0.95.3/CHANGELOG.md#0953---25-march-2021) for details of changes.

#### 1.1.0
- #6545: Upgraded knex to major version 0.21.x.

#### 1.0.10
- #6315: Internal chore.

#### 1.0.9
- #6116: Internal cleanup chore.

#### 1.0.8
- #6114: Refactor code for style, security and performance improvements.

#### 1.0.7
- #6074: Internal CI chore.

#### 1.0.6
- #5704: Fixes issue where distinct failed to paginate with error: `ORDER BY items must appear in the select list if SELECT DISTINCT is specified`.

#### 1.0.5
- #5711: Internal cleanup of npm scripts.

#### 1.0.4
- #5707: Internal cleanup to code coverage during build process.
