/**
 * Deletes all the data records.
 * @param {string} table The name of the database table.
 * @param {APIBuilder.Model} Model The model.
 * @returns {number} The number of deleted items.
 */
module.exports = function deleteAll(table, Model) {
	return this.connection(table)
		.withSchema(Model.getMeta('schema'))
		.del();
};
