/**
 * Disconnects from your data store.
 * @param {function} next callback
 */
module.exports = function (next) {
	if (this.connection) {
		this.connection.destroy(err => {
			this.connection = null;
			next(err);
		});
	} else {
		next();
	}
};
